.main-container {
  margin: 0 auto;
  max-width: 120rem;
  overflow: hidden;
  position: relative;
}

/* Content Item Visibility 内容切换 */
.main-container .content-item:not(.active) {
  display: none;
}

.main-container .content-item.active {
  display: block;
  position: relative;
}

.contact-section {
  max-width: var(--max-content-width);
  margin: 0 auto;
  padding: 5rem 0.9375rem;
  background-color: #fcfdfc;
}

.contact-container {
  max-width: 75rem;
  margin: 0 auto;
  display: flex;
  gap: 5rem;
  padding: 0 0.9375rem;
}

/* 左侧样式 */
.contact-info {
  flex: 1;
}

.info-header h2 {
  font-size: 2.25rem;
  color: #333;
  margin: 0.9375rem 0;
  line-height: 1.3;
}

.info-header .badge {
  color: var(--main-color);
  font-weight: bold;
  letter-spacing: 1px;
}

.info-list {
  margin-top: 2.5rem;
}

.info-item {
  display: flex;
  align-items: flex-start;
  gap: 0.9375rem;
  margin-bottom: 1.56rem;
}

.info-icon .iconfont {
  font-size: 1.375rem;
}

.info-item:nth-of-type(1) .info-icon {
  color: #f70a8d;
}

.info-item:nth-of-type(2) .info-icon {
  color: #f8312f;
}

.info-item:nth-of-type(3) .info-icon {
  color: #cdc4d6;
}

.info-text h4 {
  font-size: 1rem;
  margin: 0 0 0.3125rem 0;
  color: #333;
}

.info-text p {
  color: #666;
  font-size: 0.875rem;
}

.social-qr {
  display: flex;
  gap: 1.875rem;
  margin-top: 3.125rem;
}

.qr-item {
  text-align: center;
  font-size: 0.75rem;
  color: #999;
}

.qr-item img {
  width: 6.25rem;
  height: 6.25rem;
  background: #eee;
  margin-bottom: 0.625rem;
  border-radius: 0.5rem;
}

/* 右侧表单样式 */
.contact-form {
  flex: 1;
  background: #ffffff;
  padding: 3.125rem;
  border-radius: 1.25rem;
  box-shadow: 0 1.25rem 3.75rem rgba(0, 0, 0, 0.05);
}

.news-list {
  display: flex;
  flex-wrap: wrap;
}

.news-list .news-list-item {
  width: 100%;
  padding: 0 0.9375rem;
  margin-bottom: 0.9375rem;
  overflow: hidden;
}

.news-list-item .img-box {
  width: 100%;
}

.news-list-item .img-box img {
  width: 100%;
  display: inline-block;
}

.news-list-item .info {
  padding: 1.56rem 2.25rem;
  background-color: #f8f8f8;
}

.news-list-item .info .info-title {
  max-height: 7.25rem;
  font-size: 1.125rem;
  font-weight: 700;
  line-height: 1.875rem;
  margin-bottom: 0.625rem;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.news-list-item .info .info-meta {
  display: flex;
  height: 2.875rem;
  font-size: 0.875rem;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.news-list-item .info .info-meta div {
  display: flex;
  align-items: center;
}

.news-list-item .info .info-meta div:last-child {
  margin-left: 0.55rem;
}

.news-list-item .info .info-meta div span {
  margin-right: 0.25rem;
  vertical-align: middle;
  color: #333333;
}

.news-list-item .info .info-summary {
  max-height: 3.375rem;
  color: #666;
  font-size: 0.875rem;
  min-height: 3.375rem;
  line-height: 1.6875rem;
  text-overflow: ellipsis;
  overflow: hidden;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

.news-list-item:hover .img-box img {
  transform: scale(1.08);
}

.news-list-item .img-box {
  overflow: hidden;
  width: 100%;
  max-height: 15.3125rem;
}

.news-list-item .img-box img {
  width: 100%;
  transition: all 0.5s;
  transform: scale(1.01);
}

.news-list .more {
  display: flex;
  justify-content: center;
  width: 100%;
  margin-top: 3rem;
}

.news-list .more a {
  display: block;
  min-width: 10.625rem;
  height: 2.5rem;
  padding: 0 1.25rem;
  font-size: 0.9375em;
  line-height: 2.5rem;
  text-align: center;
  color: #111;
  border: 1px solid #111;
}

.news-list .more a:hover {
  color: #fff;
  background: #c7000b;
  border: 1px solid #c7000b;
}

@media screen and (min-width: 1025px) {
  .image-banner .hidden-sm {
    display: none;
  }

  .image-banner .content-box .vertical-middle-sm {
    margin: 0 auto;
    max-width: 85.375rem;
    width: 80%;
  }
}

@media screen and (max-width: 1024px) {
  .image-banner .hidden-lg {
    display: none;
  }

  .image-banner .hidden-sm {
    width: 100%;
  }

  .image-banner .content-box .vertical-middle-sm,
  .divider .bg {
    width: 100%;
    height: 100%;
  }

  .contact-container {
    flex-direction: column;
    gap: 3.125rem;
  }

  .contact-form {
    padding: 1.875rem;
  }

  .social-qr {
    justify-content: center;
  }

  .news-list-item .info .info-meta {
    height: auto;
    display: block;
  }

  .news-list-item .info .info-meta div:last-child {
    margin-left: 0;
  }

  .news-list {
    flex-wrap: wrap;
  }

  .news-list .news-list-item {
    padding: 0;
  }
}
